# Method: projects.locations.backupVaults.backups.list

- [HTTP request](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults.backups/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults.backups/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults.backups/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults.backups/list#body.request_body)
- [Response body](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults.backups/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults.backups/list#body.ListBackupsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults.backups/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults.backups/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults.backups/list#try-it)

Returns descriptions of all backups for a backupVault.

### HTTP request

`GET https://netapp.googleapis.com/v1alpha1/{parent=projects/*/locations/*/backupVaults/*}/backups`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The backupVault for which to retrieve backup information, in the format `projects/{projectId}/locations/{location}/backupVaults/{backupVaultId}`. To retrieve backup information for all locations, use "-" for the `{location}` value. To retrieve backup information for all backupVaults, use "-" for the `{backupVaultId}` value. To retrieve backup information for a volume, use "-" for the `{backupVaultId}` value and specify volume full name with the filter. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of items to return. The service may return fewer than this value. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` The nextPageToken value to use if there are additional results to retrieve for this list request. |
| `orderBy` | `string` Sort results. Supported values are "name", "name desc" or "" (unsorted). |
| `filter` | `string` The standard list filter. If specified, backups will be returned based on the attribute name that matches the filter expression. If empty, then no backups are filtered out. See <https://google.aip.dev/160> |

### Request body

The request body must be empty.

### Response body

ListBackupsResponse is the result of ListBackupsRequest.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "backups": [ { object (`https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults.backups#Backup`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `backups[]` | ``object (`https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults.backups#Backup`)`` A list of backups in the project. |
| `nextPageToken` | `string` The token you can use to retrieve the next page of results. Not returned if there are no more results in the list. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `netapp.backups.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).